Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialVisionInterfaces Class Reference

The interfaces of the module SpecialVision. More...

`#include <SpecialVision.h>`

Inheritance diagram for SpecialVisionInterfaces:

[legend]
Collaboration diagram for SpecialVisionInterfaces:

[legend]
List of all members.

## Public Member Functions
| SpecialVisionInterfaces (const Image &image, const SpecialVisionRequest &specialVisionRequest, const ColorTable &colorTable, const RobotPose &robotPose, SpecialPercept &specialPercept, Sensors &sensors)
| Constructor.
## Protected Attributes
const Image & | image
| The image to be processed.
const SpecialVisionRequest & | specialVisionRequest
| A request from the behavior what to do.
const ColorTable & | colorTable
| A colortable ptr that can be used.
const RobotPose & | robotPose
| A Robot-Pose that can be uses.
SpecialPercept & | specialPercept
| The special percept to be generated.
Sensors & | sensors
| The sensors class (it's the cognition process itself, believe it or not !).

## Detailed Description

The interfaces of the module SpecialVision.

Definition at line 27 of file SpecialVision.h.

## Constructor & Destructor Documentation

SpecialVisionInterfaces::SpecialVisionInterfaces | ( | const Image & | image,
|  | const SpecialVisionRequest & | specialVisionRequest,
|  | const ColorTable & | colorTable,
|  | const RobotPose & | robotPose,
|  | SpecialPercept & | specialPercept,
|  | Sensors & | sensors
| ) | `[inline]`

| Constructor. Definition at line 31 of file SpecialVision.h.

## Member Data Documentation

const Image& SpecialVisionInterfaces::image`[protected]`

| The image to be processed. Definition at line 47 of file SpecialVision.h.

const SpecialVisionRequest& SpecialVisionInterfaces::specialVisionRequest`[protected]`

| A request from the behavior what to do. Definition at line 50 of file SpecialVision.h.

const ColorTable& SpecialVisionInterfaces::colorTable`[protected]`

| A colortable ptr that can be used. Definition at line 53 of file SpecialVision.h.

const RobotPose& SpecialVisionInterfaces::robotPose`[protected]`

| A Robot-Pose that can be uses. Definition at line 56 of file SpecialVision.h.

SpecialPercept& SpecialVisionInterfaces::specialPercept`[protected]`

| The special percept to be generated. Definition at line 59 of file SpecialVision.h.

Sensors& SpecialVisionInterfaces::sensors`[protected]`

| The sensors class (it's the cognition process itself, believe it or not !). Definition at line 62 of file SpecialVision.h.

The documentation for this class was generated from the following file:

- Modules/SpecialVision/SpecialVision.h